Bug 53370 - X will not start with ATI rage fury pro AGP with video in video out.
X will not start with ATI rage fury pro AGP with video in video out.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-07 11:56 EDT by Phil
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 22:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X config file (14.47 KB, text/plain)
2001-09-09 18:06 EDT, Phil
no flags Details
X Free log file (10.00 KB, text/plain)
2001-09-09 18:11 EDT, Phil
no flags Details
sorry about the first attachement this is the REAL log For Xfree (10.75 KB, text/plain)
2001-09-09 18:36 EDT, Phil
no flags Details
the results of lspci -n (333 bytes, text/plain)
2001-09-10 22:10 EDT, Phil
no flags Details

  None (edit)
Description Phil 2001-09-07 11:56:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
I am running an a 850 athlon. 256 m of ram. with a ATi Rage fury Pro AGP.
First off when I can't get it to install in graphical mode.  I works for a 
little bit but wil randomly frease leaving junky pixels around the mouse. 
So i just intall in text mode.

When i select my card and specs in Xconfigurator and try to test it wont 
come up. when i startx it dosent come up either. The mouse was acting 
funny and i had heard that some mice caused ati glitches so i buoght a USB 
mouse. I didn't help.  I put in a second video card. Diamond mulitimedia 
pci (voodoo chipset) and X came up on that Fine. (actully it didn't come 
up right but it had the same bug on my old machine and know how to fix 
it.) So i am convenced it is the ATI Rage fury pro. sorry i don't have my 
X log with me today but i'll post them soon.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.log in 
2.startx
3.
	

Actual Results:  gives error about how it is unable to run the xserver

Expected Results:  X should start

Additional info:
Comment 1 Mike A. Harris 2001-09-07 13:11:36 EDT
required: XFree86 log files, config file, and also please attach the
output of:  lscpi -n
Comment 2 Phil 2001-09-07 13:56:11 EDT
if there is more then one XFree86 log file then i will need the names of them. 
Sorry, I not the most savvy linux user.
Comment 3 Phil 2001-09-09 18:06:44 EDT
Created attachment 31396 [details]
X config file
Comment 4 Phil 2001-09-09 18:11:03 EDT
Created attachment 31398 [details]
X Free log file
Comment 5 Phil 2001-09-09 18:36:15 EDT
Created attachment 31399 [details]
sorry about the first attachement this is the REAL log For Xfree
Comment 6 Phil 2001-09-10 22:10:05 EDT
Created attachment 31558 [details]
the results of lspci -n
Comment 7 Mike A. Harris 2001-10-09 08:12:20 EDT
XFree86 4.0.3 unfortunately does not contain direct support for the
ATI Rage Fury Pro 1002:5446 (TF), as the PCI ID's were not known at the
time of the release of 4.0.3.  XFree86 4.1.0 which is in rawhide
currently, and will be released as erratum for Red Hat Linux 7.1
soon, does support this card though.

In the mean time, you can force the card to work, by using the "Chipset"
option in the config file to force the PCI ID to 5246 instead.  This
should work as an interim workaround.
Comment 8 Mike A. Harris 2001-10-09 08:13:07 EDT
Oh, I almost forgot.  The config file you attached is the wrong one.
The proper config file for XFree86 4.x is XF86Config-4.

Note You need to log in before you can comment on or make changes to this bug.